/* This work is licensed under a Creative Commons Attribution-NonCommercial 4.0 International License. */
//
//  RNTAccessibleImage.h
//  RNAccessibilityFocus
//

#import <UIKit/UIKit.h>
#import <React/RCTComponent.h>

NS_ASSUME_NONNULL_BEGIN

@interface RNTAccessibleImage : UIImageView

@property(nonatomic,assign) NSString* name;
@property(nonatomic,assign) NSString* label;
@property (nonatomic, copy) RCTDirectEventBlock onFocusStart;
@property (nonatomic, copy) RCTDirectEventBlock onFocusEnd;
@property (nonatomic, copy) RCTDirectEventBlock onImagePressed;
@property (nonatomic, copy) RCTDirectEventBlock onImageLongPressed;

@end

NS_ASSUME_NONNULL_END
